<%@include file="includes/taglibs.jsp"%>

<portlet:defineObjects/>
      	<style type="text/css">
      	<!--
      	  .portlet-section-header {
      	    font-size: small;
      	  }
      	
      	  .portlet-font,
      	  .portlet-section-subheader,
          .portlet-section-footer,
       	  .portlet-section-body, .portlet-section-body-hover, tr.portlet-section-body:hover,
      	  .portlet-section-alternate, .portlet-section-alternate-hover, tr.portlet-section-alternate:hover,
      	  .portlet-msg-alert,
      	  .portlet-msg-error { 
      	    font-size: xx-small; 
      	  }
      	-->
      	</style>
<fmt:setBundle basename="hu.midori.kosmos.portlet.cc.cc_monitoring" scope="application"/>

<display:table name="${projects}" id="project" requestURI="<%=renderResponse.createRenderURL().toString() %>" requestURIcontext="false">
  <c:set var="id" scope="page" value="${project.id}"/>
  <display:column style="width: 20px;">
    <c:choose>
      <c:when test="${(project.status == 1) && (project.failures == 0) && (project.errors == 0)}">
        <img src="<c:url value="/pages/images/success.gif"/>" title="<fmt:message key="legend.success"/>"/>
      </c:when>
      <c:when test="${(project.status == 1)}">
        <img src="<c:url value="/pages/images/warning.gif"/>" title="<fmt:message key="legend.warning"/>"/>
      </c:when>
      <c:otherwise>
        <img src="<c:url value="/pages/images/error.gif"/>" title="<fmt:message key="legend.error"/>"/>
      </c:otherwise>
    </c:choose>
  </display:column>
  <display:column titleKey="ccproject.name" sortProperty="name" sortable="true">
    <a href="${project.buildResultUrl}" <c:if test="${project.lastBuildAgeInHours > 7*24}">style="text-decoration: line-through;"</c:if>>${project.name}</a>
  </display:column>
  <display:column titleKey="ccproject.lastBuildLabel" sortProperty="buildLabel" sortable="true">
    ${project.buildLabel}
    &nbsp;(<fmt:formatNumber value="${project.modifications}"/>&nbsp;<fmt:message key="ccproject.modifications"/>)
  </display:column>
  <display:column titleKey="ccproject.status" sortProperty="status" sortable="true">
    <c:choose>
      <c:when test="${project.status == 1}">
        <img src="<c:url value="/pages/images/success.gif"/>" title="<fmt:message key="legend.buildSuccess"/>"/>
      </c:when>
      <c:otherwise>
        <img src="<c:url value="/pages/images/error.gif"/>" title="<fmt:message key="legend.buildError"/>"/>
      </c:otherwise>
    </c:choose>
  </display:column>
  <display:column titleKey="ccproject.successRate" sortProperty="successRate" sortable="true">
    <c:if test="${project.tests > 0}">
      <table valign="center">
        <tr>
          <td>
            <c:if test="${project.successRate != 1.0}"><span class="portlet-msg-error"></c:if>
              <fmt:formatNumber value="${project.successRate}" type="percent"/>
            <c:if test="${project.successRate != 1.0}"></span></c:if>
          </td>
          <td>
            &nbsp;
            <table style="border: 1px solid #DDDDDD;" width="100px" valign="middle" align="center" cellspacing="0" cellpadding="0">
              <tr>
                <td style="background-color: #00FF00;"><img src="<c:url value="/pages/images/spacer.gif"/>" width="<fmt:formatNumber value="${100*project.successRate}" maxFractionDigits="0"/>" height="10px" border="0"/></td>
                <td style="background-color: #FF0000;"><img src="<c:url value="/pages/images/spacer.gif"/>" width="<fmt:formatNumber value="${(100*project.failures) / project.tests}" maxFractionDigits="0"/>" height="10px" border="0"/></td>
                <td style="background-color: #DD0000;"><img src="<c:url value="/pages/images/spacer.gif"/>" width="<fmt:formatNumber value="${(100*project.errors) / project.tests}" maxFractionDigits="0"/>" height="10px" border="0"/></td>
              </tr>
            </table>
          </td>
          <td>
            &nbsp;
            <a href="<portlet:renderURL><portlet:param name="action" value="viewTestDetails"/><portlet:param name="id" value="<%= pageContext.getAttribute("id").toString() %>"/></portlet:renderURL>">
              <img src="<c:url value="/pages/images/info.gif"/>" title="<fmt:message key="ccproject.testDetails"/>" border="0"/>
            </a>
          </td>
        </tr>
      </table>
    </c:if>
  </display:column>
  <display:column titleKey="ccproject.timestamp" style="white-space: nowrap;" sortProperty="lastBuildDate" sortable="true">
    <fmt:formatDate value="${project.lastBuildDate}" pattern="dd/MMM/yy hh:mm"/>
  </display:column>
  <display:column titleKey="ccproject.lastBuildAge" style="white-space: nowrap;" sortProperty="lastBuildAge" sortable="true">
    <c:if test="${project.lastBuildAgeInHours < 1}"><span class="portlet-msg-alert"></c:if>
    <c:if test="${project.lastBuildAgeInHours > 7*24}"><span class="portlet-msg-error"></c:if>
      <kosmos:age time="${project.lastBuildAge}"/>
    <c:if test="${(project.lastBuildAgeInHours > 7*24) || (project.lastBuildAgeInHours < 1)}"></span></c:if>
  </display:column>
  <display:footer>
    <%@include file="includes/table_footer.jsp"%>
  </display:footer>
</display:table>

<form action="<portlet:renderURL/>" method="post">
  <input type="submit" class="portlet-form-button" name="submit" value="<fmt:message key="action.refresh"/>"/>
</form>
